<!--<ion-header>-->
<!--  <ion-toolbar>-->
<!--    <ion-buttons slot="start">-->
<!--      <ion-menu-button></ion-menu-button>-->
<!--    </ion-buttons>-->
<!--    <ion-title>login</ion-title>-->
<!--  </ion-toolbar>-->
<!--</ion-header>-->

<ion-content fullscreen>
<!--  <ion-buttons style="position: fixed;color: white;" >-->
<!--    <ion-menu-button></ion-menu-button>-->
<!--  </ion-buttons>-->
<!--  <ion-icon class="icon-login"  name="arrow-back-outline" [routerLink]="'/accueil'"></ion-icon>-->
  <div class="logo">
    <img src="../../assets/icon/logo.png">
  </div>
  <form [formGroup]="registerForm">
    <ion-list lines="full">
      <ion-item>
        <ion-input [ngClass]="{ 'is-invalid': submitted && f.username.errors }" class="form-control"
                   formControlName="telephone"  onkeyup="this.value = this.value.toLowerCase()" ></ion-input>
        <ion-label position="fixed" style="position: relative;right: 0px;">Téléphone</ion-label>

        <div *ngIf="submitted && f.telephone.errors" class="invalid-feedback">
          <div *ngIf="f.telephone.errors.required" class='error'>Entrer votre numero de telephone</div>
        </div>
      </ion-item>

      <ion-item>
        <ion-input [ngClass]="{ 'is-invalid': submitted && f.password.errors }" class="form-control" formControlName="password"
                   [type]="showpassword? 'text' : 'password'" ></ion-input>
        <ion-label position="fixed" style="position: relative;right: 0px;">Mot de passe</ion-label>

<!--        <ion-icon slot="end" [name]="passwordToggle" (click)="togglepassword()" class="iconpass"></ion-icon>-->
        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
          <div *ngIf="f.password.errors.required" class='error'>Mot de passe requis</div>
        </div>
      </ion-item>


    </ion-list>
<!--    <div class="ion-padding">-->
<!--      <ion-button  shape="round" [disabled]="registerForm.invalid" class="btn btn-secondary btnred ion-no-margin" expand="block"-->
<!--                   type="submit" (click)="onSubmit()">Se connecter-->
<!--      </ion-button>-->

<!--    </div>-->
  </form>
  <p class="span-register" [routerLink]="'/register'">Vous n'avez pas de compte ?<br> Inscrivez-vous ici !</p>

  <div (click)="onSubmit()" style="position:relative;text-align: center; z-index: 1; height: 30vw; width: 30vw; display: flex;  justify-content: center;
    margin: auto; flex-direction: column; border-radius: 30vw;
    background:linear-gradient(320deg,#8bc34a 30%,#ffeb3b 100%);">
  <div style="height: 28vw;width: 28vw; display: flex; justify-content: center; margin: auto; flex-direction: column;
    background: white; border-radius: 28vw;">LOG IN</div></div>
<!--  <ion-button  shape="round" class="btn btn-secondary btnred ion-no-margin" expand="block"-->
<!--                (click)="facebooklog()">Facebook-->
<!--</ion-button>-->
<div class="bottom-circle"></div>
  <ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px',backdropBackgroundColour: 'rgba(28,28,28,0.75)', primaryColour: '#ffffff', secondaryColour: '#ffffff', tertiaryColour: '#ffffff' }" ></ngx-loading>
</ion-content>
